using YBEE.EQM.Core;

namespace YBEE.EQM.Application
{
    /// <summary>
    /// 系统用户服务
    /// </summary>
    [ApiDescriptionSettings(Name = "sys-user")]
    [Route("sys/user")]
    [AppAuthorize]
    public class SysUserAppService(ISysUserService sysUserService) : IDynamicApiController
    {
        /// <summary>
        /// 修改密码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public async Task ChangePassword(ChangeSysUserPasswordInput input)
        {
            await sysUserService.ChangePassword(input);
        }
        /// <summary>
        /// 查询简要用户列表
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        public async Task<PageResult<SysUserSimpleOutput>> QueryUserSimplePageList(SysUserPageInput input)
        {
            return await sysUserService.QueryUserSimplePageList(input);
        }
        ///// <summary>
        ///// 更换密码加密方式
        ///// </summary>
        ///// <returns></returns>
        //[AllowAnonymous]
        //public async Task UpdatePassword()
        //{
        //    await _sysUserService.UpdatePassword();
        //}
    }
}